namespace MyOffice.Core.Extensions;

public static class DateTimeExtensions
{
	public static DateTime StartOfDay(this DateTime dateTime)
	{
		return dateTime.Date;
	}

	public static DateTime EndOfDay(this DateTime dateTime)
	{
		return dateTime.AddDays(1).AddTicks(-1);
	}

	public static DateTime ToUtc(this DateTime dateTime)
	{
		return new DateTime(dateTime.Ticks, DateTimeKind.Utc);
	}
}